function cutStr(str, len) {
    var str_length = 0;
    var str_len = 0;
    str_cut = new String();
    str_len = str.length;
    for (var i = 0; i < str_len; i++) {
        a = str.charAt(i);
        str_length++;
        if (escape(a).length > 4) {
            str_length++;
        }
        str_cut = str_cut.concat(a);
        if (str_length > len) {
            str_cut = str_cut.concat("...");
            return str_cut;
        }
    }
    if (str_length <= len) {
        return str;
    }
}

function getMainVersion(version){
    if(!version){
        return '';
    }
    var versionList = version.split('.');
    return versionList[0]+'.'+versionList[1]+'.'+versionList[2];
}

function isNull(data){
    return (data == "" || data == undefined || data == null) ? true : false;
}